Subject: RE: Summary of RE: [Sip] Comment, SIP Privacy draft

From: "Mark Watson"<[email-masked]>
Date: Tue, 16 Apr 2002 13:58:11 +0100

Perhaps an example will help:

The subscriber is a company - the company has made a contract with you as
service provider for the provision of the service.

The user is an employee of the company - the user may be 'subscriber' in the
technical sense to your system, but they are not the subscriber as defined
in the definition below - they do not have any contract with you, the
contract is with the company.

If you insist on individual contracts with the employees of a company to
which you offer service, then you are equating user and subscriber, but I
doubt the company or its employees would be very happy with this mode of
operation.

...Mark

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: 16 April 2002 13:42
> To: Watson, Mark [MDN05:EP10:EXCH]
> Cc: 'Ben Campbell'; Chiou, Mark; Dean Willis; [email-masked];
> [email-masked]
> Subject: RE: Summary of RE: [Sip] Comment, SIP Privacy draft
> 
> 
> Mark Watson writes:
> 
>  > The subscriber is just one example of a person who has an 
> interest in a
>  > session who does not have a 'user agent' involved in the session to
>  > represent them. My contention is that the easiest way to 
> represent this
>  > person in the session is through services in the network.
> 
> i still fail to see the difference between a user and subscriber. in
> order for the user to use my sip service, the user MUST first 
> subscribe
> the service.  the user may have any number of sip identities (uris)
> associated with the subscription.
> 
>  > (a) 'subscriber` shall mean any natural or legal person 
> who or which is
>  > party to a contract with the provider of publicly available
>  > telecommunications services for the supply of such services;
> 
> fine.
> 
>  > (b) 'user` shall mean any natural person using a publicly available
>  > telecommunications service, for private or business 
> purposes, without
>  > necessarily having subscribed to this service;
> 
> i don't understand what the above could mean.
> 
>  a user can't use my sip service without being first subscribed to it,
>  i.e., the user must have a username and a password that identify a
>  valid subscription.  i don't care who made the subscription, but in
>  general it is a VERY bad idea to pass a given 
> username/password to many
>  people. if you do it then there is no way to figure out who actually
>  made a call.
> 
> -- juha
> 
>

---

From: [email-masked]
Date: Tue, 16 Apr 2002 16:11:58 +0300

> contract is with the company.

i don't see how "who pays for the service for a set of users" has any
relevance to the privacy discussion.

 > doubt the company or its employees would be very happy with this mode of

i do insist individual usernames and passwords.  if you do not have
that, then there is no way to figure out who made the calls, which is a
VERY big problem both for the company and for system in general.

-- juha

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip